/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IBaseAdapter, BaseAdapter } from '../../core/base/base-adapter';
import { ITabComponent } from './tab';
export interface ITabAdapter extends IBaseAdapter {
    initialize(): void;
    initializeIndicator(): void;
    destroyIndicator(): void;
    computeIndicatorBounds(): DOMRect | undefined;
    activateIndicator(previousIndicatorClientRect?: DOMRect): void;
    deactivateIndicator(): void;
    initializeRipple(): void;
    destroyRipple(): void;
    addButtonListener(type: string, listener: (evt: Event) => void): void;
    removeButtonListener(type: string, listener: (evt: Event) => void): void;
    setDisabled(value: boolean): void;
    setActive(value: boolean): void;
    getOffsetLeft(): number;
    getOffsetWidth(): number;
    getContentOffsetLeft(): number;
    getContentOffsetWidth(): number;
    setTabIndex(value: number): void;
}
export declare class TabAdapter extends BaseAdapter<ITabComponent> implements ITabAdapter {
    private _rootElement;
    private _content;
    private _rippleElement;
    private _rippleInstance;
    private _tabIndicatorElement;
    private _tabIndicator;
    constructor(component: ITabComponent);
    initialize(): void;
    initializeRipple(): void;
    destroyRipple(): void;
    initializeIndicator(): void;
    destroyIndicator(): void;
    activateIndicator(previousIndicatorClientRect?: DOMRect): void;
    deactivateIndicator(): void;
    computeIndicatorBounds(): DOMRect | undefined;
    addButtonListener(type: string, listener: (evt: Event) => void): void;
    removeButtonListener(type: string, listener: (evt: Event) => void): void;
    setDisabled(value: boolean): void;
    setActive(value: boolean): void;
    getOffsetLeft(): number;
    getOffsetWidth(): number;
    getContentOffsetLeft(): number;
    getContentOffsetWidth(): number;
    setTabIndex(value: number): void;
}
